Bug 905832 - Please backport mmap btrfs fixes/or update to kernel 3.16.7/3.17.3
Please backport mmap btrfs fixes/or update to kernel 3.16.7/3.17.3
Status: RESOLVED WONTFIX
: 904525 906404 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
13.2
Other Other
: P5 - None : Critical (vote)
: ---
Assigned To: David Sterba
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-17 23:31 UTC by Hrvoje Senjan
Modified: 2017-01-26 14:01 UTC (History)
11 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hrvoje Senjan 2014-11-17 23:31:47 UTC
we've got big amount of crashes at KDE bugtracker, with each and one being with openSUSE 13.2, using btrfs as root fs and using 3.16.6 kernel.
report can be found here:
https://bugs.kde.org/show_bug.cgi?id=340657


KSharedDataCache is used for e.g. Plasma cache and icon cache, and it in turn uses posix_fallocate and mmap, thus apparently a btrfs bug triggers crashing (all reports have plasma receiving a SIGBUS)

there is also report with very similar usage @ btrfs ML:
http://www.spinics.net/lists/linux-btrfs/msg38740.html

users there report the issue is gone with 3.17.2 kernels..
(on KDE tracker we have so far one user validating that there is no crashes with 3.17.2)

if you have knowledge which would be commit specifically addressing this issue, please backport it, otherwise, if possible, please update to latest stable kernel (i've read the discussion @ opensuse-kernel, so this doesn't look likely ;-) as this is making a KDE experience on openSUSE 13.2 pretty bad.


thanks in advance!
Comment 1 Martin Pluskal 2014-11-18 07:32:43 UTC
I am wondering if it could be related also to bnc#904837
Comment 2 David Sterba 2014-11-18 15:15:24 UTC
I wonder what's wrong here, the GA release is 3.16.6 + about 30 already backported patches from 3.17 (but not all of them). The 3.16.7 release has a few btrfs patches but none of them looks related. There are some candidates in the 3.17.x branches, I'll have a closer look.
Comment 3 Hrvoje Senjan 2014-11-20 18:24:09 UTC
we got one more user confirming at the KDE tracker that the problems are gone with 3.17.3 kernel
Comment 4 Hrvoje Senjan 2014-11-21 18:25:01 UTC
*** Bug 904525 has been marked as a duplicate of this bug. ***
Comment 5 Takashi Iwai 2014-11-23 17:55:58 UTC
Can anyone check the kernel in OBS home:tiwai:os13.2-ckt1 project?  This contains the backports of Ubuntu kernels.  It's just to make sure whether it's btrfs specific -- a few of backports are related with mmap but rather generic vfs fixes.

The packages are currently being built and might not be published yet, but you can download already many of them directly via osc.
Comment 6 Hrvoje Senjan 2014-11-28 18:56:33 UTC
i cannot test myself, as i am not using btrfs.

do you know from which version are these ubuntu fixes? according to one of dups,
https://bugs.kde.org/show_bug.cgi?id=341295
crash still happens with their "3.16.0-24-generic"
Comment 7 Takashi Iwai 2014-11-28 19:12:19 UTC
Aren't there any openSUSE users reporting this and involved with this bug report?
If yes, please delegate the request.
Comment 8 David Sterba 2014-12-03 17:17:53 UTC
I've backported the rest of 3.17.y patches, 3 of them but neither looks related to this bug. Additionally a few more backports from 3.18.

I went trhough all the reported bugs/duplicates, there's no kernel crash. The userspace apps get SIGBUS from various library calls. This is above the filesystem layer and I don't believe it's a btrfs bug, altough it may help to make it visible  under some circumstances.

Analyzing the kde.org bugs, I see a pattern that points to SSE* related functions:

Last call before the crash (from 341168, 340634, 340651):

Thread 1 (Thread 0x7f98f32ae800 (LWP 20284)):
[KCrash Handler]
#5  0x00007f98f2b1aa0c in __strncmp_ssse3 () at /lib64/libc.so.6
...

bug 340657:
#5  0x00007f54f920c6c9 in __memcpy_sse2_unaligned () at /lib64/libc.so.6

Conclusion, this is not a btrfs bug, but the backport was worth anyway. Please open a new bug.
Comment 9 Hrvoje Senjan 2014-12-11 19:33:16 UTC
(In reply to David Sterba from comment #8)
> I've backported the rest of 3.17.y patches, 3 of them but neither looks
> related to this bug. Additionally a few more backports from 3.18.

let's close if/once those land in 13.2:Update
Comment 10 Tomáš Chvátal 2015-10-26 17:04:58 UTC
*** Bug 906404 has been marked as a duplicate of this bug. ***
Comment 12 Takashi Iwai 2017-01-26 14:01:37 UTC
openSUSE 13.2 reached EOL.  If the issue is still reproduced in the newer distro versions like openSUSE Leap, please open a new bug report.  Thanks.